import { Observable, BehaviorSubject } from 'rxjs';
export declare class StatusService {
    loading$: BehaviorSubject<boolean>;
    setLoading(loading: boolean): void;
    /**
     * emit loaded status based on whether or not batch of
     * observables have completed
     */
    setLoaded(loading: Observable<boolean[]>): void;
}
