import { BehaviorSubject } from 'rxjs';
import { Platform } from '@ionic/angular';
import { Network } from '@ionic-native/network/ngx';
import * as i0 from "@angular/core";
export declare class NetworkService {
    private platform;
    device: Network;
    isNative: boolean;
    isOfflineMode: boolean;
    isOfflineMode$: BehaviorSubject<boolean>;
    constructor(platform: Platform, device: Network);
    isOnline(): boolean;
    isOffline(): boolean;
    /**
     * opt-in/out to offline mode
     */
    setOffline(isOffline: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NetworkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NetworkService>;
}
