export class StorageApi {
    constructor(remote, local, environment) {
        this.remote = remote;
        this.local = local;
        this.environment = environment;
        this.getToken();
    }
    async getToken() {
        const x = await this.local.get('auth');
        const payload = x ? JSON.parse(x) : null;
        if (payload)
            this.token = payload.token;
        return this.token;
    }
}
//# sourceMappingURL=storage-api.js.map